> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the activity events for a contract

> Get the activity events for a contract



## OpenAPI

````yaml /api-reference/bundled.yaml get /v0/contract/{id}/activity
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/contract/{id}/activity:
    get:
      tags:
        - contract
      summary: Get the activity events for a contract
      description: Get the activity events for a contract
      operationId: getContractActivity
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: UUID of the contract
      responses:
        '200':
          description: Successful response containing the activity events for the contract
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractActivityResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ContractActivityResponse:
      type: array
      description: List of contract activity events in chronological order (oldest first)
      minItems: 1
      items:
        oneOf:
          - $ref: '#/components/schemas/ContractActivityUpdateEvent'
          - $ref: '#/components/schemas/ContractActivityCreateEvent'
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
    ContractActivityUpdateEvent:
      type: object
      required:
        - type
        - datetime
      properties:
        type:
          description: type of the event
          type: string
          enum:
            - CONTRACT_UPDATED
        datetime:
          description: date time at which the contract was updated
          type: string
          format: date-time
        fileUri:
          description: >-
            full link to the file and commit in the repo that contains this
            updated contract
          type: string
          format: uri
        gitUser:
          description: the git user who edited the contract
          type: string
    ContractActivityCreateEvent:
      type: object
      required:
        - type
        - datetime
      properties:
        type:
          description: type of the event
          type: string
          enum:
            - CONTRACT_CREATED
        datetime:
          description: date time at which the contract was created
          type: string
          format: date-time
        fileUri:
          description: >-
            full link to the file and commit in the repo that contains this
            created contract
          type: string
          format: uri
        gitUser:
          description: the git user who created the contract
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````